Description

In particular:

The capability "cache hits" by clients to provide introspection on the effectiveness of client capability caching. (Slightly different

from #26996, this provides aggregate information for all caps from the client.)

OSDC cache hits.

OSDC readahead utilization (?); i.e. if the client reads ahead, does its workload actually use those buffers?

data write/read ops/bandwidth

In terms of implementation, this will be a new message sent to one of the ranks the client has a session with. It is probably not

important which rank it sends the message to or that the same rank gets the sequential messages. Periodically, the ranks will

forward these messages in a reduced form to rank 0. Rank 0, in a separate thread, can then aggregate all session metadata and

send statistics to the mgr. This will probably include a snapshot of all sessions with various per-session statistics (#24285). (It's

probably a good idea to send all of the sessions statistics to the mgr even if that is potentially ~1000 sessions. The user of `ceph fs

top` may want to search for a particular session.)

Related issues:

Related to CephFS - Feature #26996: cephfs: get capability cache hits by clie... Resolved

Related to CephFS - Feature #24285: mgr: add module which displays current us... Resolved

Related to Linux kernel client - Feature #43215: kclient: send usage metrics ... Resolved

Related to CephFS - Bug #43251: mds: track client provided metric flags in se... Resolved

Duplicated by CephFS - Feature #39982: cephfs client periodically report cach... Duplicate 05/20/2019

History

#1 - 09/28/2018 06:11 PM - Patrick Donnelly

- Related to Feature #26996: cephfs: get capability cache hits by clients to provide introspection on effectiveness of client caching added

#2 - 09/28/2018 06:11 PM - Patrick Donnelly

- Related to Feature #24285: mgr: add module which displays current usage of file system (`fs top`) added

#3 - 09/28/2018 06:20 PM - Patrick Donnelly

- Description updated

#4 - 11/13/2018 03:18 PM - Venky Shankar

- Status changed from New to In Progress

- Assignee set to Venky Shankar

#5 - 03/07/2019 11:22 PM - Patrick Donnelly

- Target version changed from v14.0.0 to v15.0.0
#6 - 05/21/2019 02:19 PM - Patrick Donnelly

- Duplicated by Feature #39982: cephfs client periodically report cache utilisation to MDS server added

#7 - 12/09/2019 11:55 AM - Venky Shankar

- Status changed from In Progress to Fix Under Review

- Pull request ID set to 26004

#8 - 12/09/2019 06:52 PM - Patrick Donnelly

- Related to Feature #43215: kclient: send usage metrics to MDS added

#9 - 12/13/2019 06:22 AM - Venky Shankar

- Related to Bug #43251: mds: track client provided metric flags in session added

#10 - 02/18/2020 09:55 PM - Patrick Donnelly

- Target version changed from v15.0.0 to v16.0.0

#11 - 06/02/2020 08:56 PM - Patrick Donnelly

- Status changed from Fix Under Review to Resolved
